const mm = 72/25.4;

var doc = app.activeDocument;

var bleedBorder = 5 *mm;
var dialogStr = 'Write PDFpreset name';
var NamePreset = 'Acr 4 bleed 2';
var op = false;
var le = true;

var strColor = new CMYKColor();
var nameLayer = 'effect';
	strColor.cyan = 0;
	strColor.magenta = 0;
	strColor.yellow = 0;
	strColor.black = 0;
var start = true;
errorIcon = true;
if (documents.length > 0){
	if (doc.saved==false) {
			alert('File must be saved before execute script!!!','ScriptError',errorIcon);
			start = false;
	}
	if (start){
	if (str = prompt (dialogStr, NamePreset)) {
		NamePreset = str;
		var saveOpts = new PDFSaveOptions();	
		saveOpts.pDFPreset = NamePreset;	
		h = doc.height;
		w = doc.width;			
		if (le) layerEffect (h,w,bleedBorder);
		for (i=0; i<doc.layers.length; i++)
			if (doc.layers[i].locked == false) doc.layers[i].visible = false;
		fullDocName = doc.fullName;
		var param = doc.name.split('.');		
		realDocName = param[0];
		if (doc.layers[0].locked == false) {
			doc.layers[0].visible = true;
			docName = '_sb_'+realDocName+'_'+doc.layers[0].name;	
			var saveName = new File ( doc.path + "/" + docName );
			doc.saveAs( saveName, saveOpts );
		}
		for (i=1; i<doc.layers.length; i++){
			if (doc.layers[i-1].locked == false) doc.layers[i-1].visible = false;
			if (doc.layers[i].locked == false) {
				doc.layers[i].visible = true;							
				docName = '_sb_'+realDocName+'_'+doc.layers[i].name;	
				var saveName = new File ( doc.path + "/" + docName );
				doc.saveAs( saveName, saveOpts );
			}			
		}
		doc.close(SaveOptions.DONOTSAVECHANGES);
		doc = null;
		if (op) app.open (fullDocName);
	}
	}
}

function layerEffect (h,w,bleedBorder){
	var mLayer= doc.layers.add();    	 
	mLayer.name = nameLayer;
	var rect = mLayer.pathItems.rectangle (h + bleedBorder, 0 - bleedBorder, w + bleedBorder*2, h + bleedBorder*2);
	rect.fillColor = strColor;
	rect.stroked = false;
	rect.opacity = 50.0;
	mLayer.zOrder(ZOrderMethod.SENDTOBACK);
	mLayer.locked = true;
}


